libnjb: njb3_state_t Struct Reference

libnjb 2.2.7

Data Fields
njb3_state_t Struct Reference

## Data Fields
int | get_extended_tag_info
njb_songid_t * | first_songid
njb_songid_t * | next_songid
njb_playlist_t * | first_plid
njb_playlist_t * | next_plid
njb_datafile_t * | first_dfid
njb_datafile_t * | next_dfid
int | current_playing_track
njb_keyval_t * | first_key
njb_keyval_t * | next_key
njb_eax_t * | first_eax
njb_eax_t * | next_eax
u_int8_t | eax_processor_active
char * | product_name
u_int8_t | fwMajor
u_int8_t | fwMinor
u_int8_t | fwRel
u_int8_t | hwMajor
u_int8_t | hwMinor
u_int8_t | hwRel
u_int16_t | last_elapsed
u_int8_t | turbo_mode

## Field Documentation

## § eax_processor_active

u_int8_t njb3_state_t::eax_processor_active

If the EAX processor is active or not

Referenced by njb3_init_state().

## § fwMajor

u_int8_t njb3_state_t::fwMajor

Firmware major revision

Referenced by njb3_init_state(), NJB_Get_Bitmap_Dimensions(), and NJB_Get_Firmware_Revision().

## § fwMinor

u_int8_t njb3_state_t::fwMinor

Firmware minor revision

Referenced by njb3_init_state(), NJB_Get_Bitmap_Dimensions(), and NJB_Get_Firmware_Revision().

## § fwRel

u_int8_t njb3_state_t::fwRel

Firmware release

Referenced by njb3_init_state(), NJB_Get_Bitmap_Dimensions(), and NJB_Get_Firmware_Revision().

## § hwMajor

u_int8_t njb3_state_t::hwMajor

Hardware major revision

Referenced by njb3_init_state(), and NJB_Get_Hardware_Revision().

## § hwMinor

u_int8_t njb3_state_t::hwMinor

Hardware minor revision

Referenced by njb3_init_state(), and NJB_Get_Hardware_Revision().

## § hwRel

u_int8_t njb3_state_t::hwRel

Hardware release

Referenced by njb3_init_state(), and NJB_Get_Hardware_Revision().

## § last_elapsed

u_int16_t njb3_state_t::last_elapsed

The last call to njb3_elapsed_time

## § product_name

char* njb3_state_t::product_name

A string with the product name

Referenced by njb3_init_state(), and NJB_Get_Device_Name().

## § turbo_mode

u_int8_t njb3_state_t::turbo_mode

Turbo or no turbo mode

Referenced by njb3_init_state(), and NJB_Set_Turbo_Mode().

The documentation for this struct was generated from the following file:

- /usr/obj/ports/libnjb-2.2.7/libnjb-2.2.7/src/protocol3.h